<?php
defined( 'ABSPATH' ) || exit;

define( 'NEATLY_THEME_DIR', trailingslashit( get_template_directory() ) );
define( 'NEATLY_THEME_URI', trailingslashit( esc_url( get_template_directory_uri() ) ) );
define( 'NEATLY_VERSION', wp_get_theme(get_template())->Version );

// Handle SVG icons.
require_once NEATLY_THEME_DIR . '/classes/class_svg_icons.php';
require_once NEATLY_THEME_DIR . '/inc/svg-icons.php';

require_once NEATLY_THEME_DIR . 'inc/lib/setup.php' ;

require_once NEATLY_THEME_DIR . 'inc/lib/widgets.php' ;

require_once NEATLY_THEME_DIR . 'inc/template-tags.php' ;


if ( ! function_exists( 'neatly_after_setup_theme' ) ) :
	function neatly_after_setup_theme() {
		/*----SETUP-----*/
		require_once NEATLY_THEME_DIR . 'inc/lib/after_setup_theme.php' ;

	}
endif;
add_action( 'after_setup_theme', 'neatly_after_setup_theme' );


if ( ! function_exists( 'neatly_content_width' ) ) :
	function neatly_content_width() {
		$GLOBALS['content_width'] = apply_filters( 'neatly_content_width', 730 );
	}
endif;
add_action( 'template_redirect', 'neatly_content_width', 0 );



if ( ! function_exists( 'neatly_scripts_styles' ) ) :
	function neatly_scripts_styles() {

		//wp_enqueue_style( 'dashicons' );
		wp_enqueue_style( 'neatly_style', NEATLY_THEME_URI . 'assets/css/style.min.css',array() );

		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			 // Load comment-reply.js (into footer)
			wp_enqueue_script( 'comment-reply', '/wp-includes/js/comment-reply.min.js', array(), false, true );
		}

	}
endif;
add_action( 'wp_enqueue_scripts', 'neatly_scripts_styles' );

if ( ! function_exists( 'neatly_footer_scripts_styles' ) ) :
	function neatly_footer_scripts_styles() {

		wp_enqueue_style( 'neatly_fontawesome', NEATLY_THEME_URI . 'assets/font/fontawesome/style.min.css',array() );

		wp_enqueue_style( 'neatly_keyframes', NEATLY_THEME_URI . 'assets/css/keyframes.min.css',array() );

		wp_enqueue_style( 'neatly_printer', NEATLY_THEME_URI . 'assets/css/printer.min.css',array() );

	};
endif;
add_action( 'wp_footer', 'neatly_footer_scripts_styles' );

/**
 * Register navigation menus uses wp_nav_menu in three places.
 */
if ( ! function_exists( 'neatly_menus' ) ) :
	function neatly_menus() {
		$locations = array(
			/*メニュー*/
			'primary'   => __( 'Header Menu', 'neatly' ),
			'secondary' => __( 'Footer Menu', 'neatly' ),
			'credit'  => __( 'Credit Menu', 'neatly' ),
		);

		register_nav_menus( $locations );
	}
endif;
add_action( 'init', 'neatly_menus' );


if ( is_admin() ){

	require_once NEATLY_THEME_DIR . 'inc/lib/admin_page.php' ;



}else{

	require_once NEATLY_THEME_DIR . 'inc/content-replace.php' ;

}

if( is_customize_preview() )
    // Setup the Theme Customizer settings and controls...
	require_once NEATLY_THEME_DIR . 'inc/customizer/customizer.php';
